## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition.util
Class PartitionSwitch

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition.util.PartitionSwitch

    public class PartitionSwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `PartitionPackage`

Constructor Summary
`PartitionSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` `caseEModelElement(org.eclipse.emf.ecore.EModelElement object)` Returns the result of interpreting the object as an instance of 'EModel Element'.
`java.lang.Object` `caseENamedElement(org.eclipse.emf.ecore.ENamedElement object)` Returns the result of interpreting the object as an instance of 'ENamed Element'.
`java.lang.Object` `caseListRangePartitionItem(ListRangePartitionItem object)` Returns the result of interpreting the object as an instance of 'List Range Partition Item'.
`java.lang.Object` `casePartitionNumInSegments(PartitionNumInSegments object)` Returns the result of interpreting the object as an instance of 'Num In Segments'.
`java.lang.Object` `casePartitionSegmentPair(PartitionSegmentPair object)` Returns the result of interpreting the object as an instance of 'Segment Pair'.
`java.lang.Object` `caseSQLObject(SQLObject object)` Returns the result of interpreting the object as an instance of 'SQL Object'.
`java.lang.Object` `caseSybaseASEHashPartition(SybaseASEHashPartition object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Hash Partition'.
`java.lang.Object` `caseSybaseASEListPartition(SybaseASEListPartition object)` Returns the result of interpreting the object as an instance of 'Sybase ASE List Partition'.
`java.lang.Object` `caseSybaseASEPartition(SybaseASEPartition object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Partition'.
`java.lang.Object` `caseSybaseASERangePartition(SybaseASERangePartition object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Range Partition'.
`java.lang.Object` `caseSybaseASERoundrobinPartition(SybaseASERoundrobinPartition object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Roundrobin Partition'.
`java.lang.Object` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`java.lang.Object` `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartitionSwitch

    public PartitionSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseSybaseASEPartition

    public java.lang.Object caseSybaseASEPartition(SybaseASEPartition object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Partition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Partition'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASERangePartition

    public java.lang.Object caseSybaseASERangePartition(SybaseASERangePartition object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Range Partition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Range Partition'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEHashPartition

    public java.lang.Object caseSybaseASEHashPartition(SybaseASEHashPartition object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Hash Partition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Hash Partition'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEListPartition

    public java.lang.Object caseSybaseASEListPartition(SybaseASEListPartition object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE List Partition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE List Partition'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASERoundrobinPartition

    public java.lang.Object caseSybaseASERoundrobinPartition(SybaseASERoundrobinPartition object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Roundrobin Partition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Roundrobin Partition'.
  See Also:
    `doSwitch(EObject)`

### casePartitionSegmentPair

    public java.lang.Object casePartitionSegmentPair(PartitionSegmentPair object)

  Returns the result of interpreting the object as an instance of 'Segment Pair'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Segment Pair'.
  See Also:
    `doSwitch(EObject)`

### casePartitionNumInSegments

    public java.lang.Object casePartitionNumInSegments(PartitionNumInSegments object)

  Returns the result of interpreting the object as an instance of 'Num In Segments'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Num In Segments'.
  See Also:
    `doSwitch(EObject)`

### caseListRangePartitionItem

    public java.lang.Object caseListRangePartitionItem(ListRangePartitionItem object)

  Returns the result of interpreting the object as an instance of 'List Range Partition Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'List Range Partition Item'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public java.lang.Object caseEModelElement(org.eclipse.emf.ecore.EModelElement object)

  Returns the result of interpreting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public java.lang.Object caseENamedElement(org.eclipse.emf.ecore.ENamedElement object)

  Returns the result of interpreting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseSQLObject

    public java.lang.Object caseSQLObject(SQLObject object)

  Returns the result of interpreting the object as an instance of 'SQL Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'SQL Object'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`